<?php
defined('BASEPATH') OR exit('No direct script access allowed');
$cities_info = cities_info();
$categories_info = categories_info();
?>
<!--================================ STATIC HEADER SECTION==========================================-->

<section class="static-section">
    <div class="container">
        <div class="static-header-content">
            <div class="static-header-text">
                <!--<h4 class="white">WELCOME TO <span class="blue-1"> listing </span> html TEMplate</h4>-->
                <h2 class="white margin-bottom-30">BUSINESS  <span class="yallow-1"> directory </span></h2>
            </div>
            <div class="search-form-wrap2">
                <form class="clearfix" action="<?php echo base_url('search/search_result.html'); ?>" method="post">
                    <div class="input-field-wrap pull-left">
                        <input class="search-form-input" name="keyword_name" placeholder="enter keyword" type="text"/>
                    </div>
                    <div class="select-field-wrap pull-left">
                        <select class="search-form-select" name="category_id" >
                            <option class="options" value="">all categories</option>
                            <?php
                            foreach ($categories_info as $v_category_info) {
                                echo "<option class='options' value='" . $v_category_info['category_id'] . "'>" . $v_category_info['category_name'] . "</option>";
                            }
                            ?>
                        </select>
                    </div>
                    <div class="submit-field-wrap pull-left">
                        <input class="search-form-submit bgblue-1 white" value="Search" type="submit"/>
                    </div>
                </form>
            </div>

        </div>
    </div>
</section>

<!--================================SERVICES SECTION==========================================-->

<section class="our-services">
    <div class="container">
        <div class="row services-wrap padding-bottom-70">
            <div class="col-md-4 col-sm-4 col-xs-12">
                <div class="service-box bgwhite shadow-2">
                    <div class="service-tag">
                        <img src="<?php echo base_url(); ?>assets/frontend/images/services-tag.png" alt="services tag"/>
                    </div>
                    <div class="service-icon">
                        <i class="fa fa-search red-1"></i>
                    </div>
                    <div class="service-title">
                        <h5>Find What You Want</h5>
                    </div>
                    <div class="service-disc">
                        <p>Search and filter hundreds of listings, read reviews, explore photos and find the perfect spot. </p>
                    </div>
                </div>
            </div>
            <div class="col-md-4 col-sm-4 col-xs-12">
                <div class="service-box bgwhite shadow-2">
                    <div class="service-tag">
                        <img src="<?php echo base_url(); ?>assets/frontend/images/services-tag.png" alt="services tag"/>
                    </div>
                    <div class="service-icon">
                        <i class="fa fa-map-marker green-1"></i>
                    </div>
                    <div class="service-title">
                        <h5>Choose What To Do</h5>
                    </div>
                    <div class="service-disc">
                        <p>Search and filter hundreds of listings, read reviews, explore photos and find the perfect spot. </p>
                    </div>
                </div>
            </div>
            <div class="col-md-4 col-sm-4 col-xs-12">
                <div class="service-box bgwhite shadow-2">
                    <div class="service-tag">
                        <img src="<?php echo base_url(); ?>assets/frontend/images/services-tag.png" alt="services tag"/>
                    </div>
                    <div class="service-icon">
                        <i class="fa fa-globe blue-1"></i>
                    </div>
                    <div class="service-title">
                        <h5>Explore New Places</h5>
                    </div>
                    <div class="service-disc">
                        <p>Search and filter hundreds of listings, read reviews, explore photos and find the perfect spot. </p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<!--================================ FEATURE LISTING SECTION ==========================================-->
<?php if (!empty($featured_listing)) { ?>
    <section class="listing-section padding-bottom-40">
        <div class="container"><!-- section container -->
            <div class="section-title-wrap margin-bottom-50"><!-- section title -->
                <h4>Feature Listing</h4>
                <div class="title-divider">
                    <div class="line"></div>
                    <i class="fa fa-star-o"></i>
                    <div class="line"></div>
                </div>
            </div><!-- section title end -->
            <div class="add-listing-wrapper">
                <div class="listing-main gridview tab-content padding-top-50">
                    <div id="latest-listing" class="tab-pane active">
                        <div class="listing-wrapper row">

                            <?php foreach ($featured_listing as $v_featured_listing) { ?>
                                <div class="item col-md-3 col-sm-6 col-xs-12"><!-- .ITEM -->
                                    <div class="listing-item clearfix">
                                        <div class="figure">
                                            <?php
                                            $company_logo = '';
                                            if (!empty($v_featured_listing['company_logo'])) {
                                                $company_logo = "assets/uploaded_files/company_logo/resize/" . $v_featured_listing['company_logo'];
                                            } else {
                                                $company_logo = "assets/uploaded_files/company_logo/logo_not_available.png";
                                            }
                                            ?>
                                            <a href="<?php echo base_url('listing/listing_details/' . $v_featured_listing['listing_id'] . '.html'); ?>"><img src="<?php echo base_url($company_logo); ?>" width="270" class="img-responsive img-bordered img-rounded" alt="<?php echo $v_featured_listing['company_name']; ?>"/></a>
                                        </div>
                                        <div class="listing-content clearfix">
                                            <div class="listing-meta-cat">
                                                <a class="<?php echo $v_featured_listing['color_name']; ?>" href="#"><i class="fa fa-<?php echo $v_featured_listing['icon_name']; ?> white"></i></a>
                                            </div>
                                            <div class="listing-title">
                                                <h6><a style="color:#ed3b3b; font-weight: bold" href="<?php echo base_url('listing/listing_details/' . $v_featured_listing['listing_id'] . '.html'); ?>"><?php echo character_limiter($v_featured_listing['company_name'], 15); ?></a></h6>
                                            </div>
                                            <div class="listing-location pull-left"><!-- location-->
                                                <a href="<?php echo base_url('listing/category_listing/' . $v_featured_listing['category_id'] . '.html'); ?>"><i class="fa fa-<?php echo $v_featured_listing['icon_name']; ?>"></i> <?php echo character_limiter($v_featured_listing['category_name'], 24); ?></a>
                                            </div><!-- location end-->
                                            <!--<div class="star-rating pull-right">
                                                <div class="score-callback" data-score="5"></div>
                                            </div>-->
                                            <!-- rating end-->
                                        </div>
                                    </div>
                                    <div class="listing-border-bottom <?php echo $v_featured_listing['color_name']; ?>"></div>
                                </div><!-- /.ITEM -->
                            <?php } ?>

                        </div>
                    </div>
                </div>
            </div>
        </div><!-- section container end -->
    </section>
<?php } ?>

<!--================================CATEGOTY SECTION==========================================-->


<section class="categories-section padding-top-70 padding-bottom-40">
    <div class="container"><!-- section container -->
        <div class="section-title-wrap margin-bottom-50"><!-- section title -->
            <h4>Classified Category</h4>
            <div class="title-divider">
                <div class="line"></div>
                <i class="fa fa-star-o"></i>
                <div class="line"></div>
            </div>
        </div><!-- section title end -->
        <div class="row category-section-wrap cat-style-3">
            <?php foreach ($categories_info as $v_category_info) { ?>
                <div class="col-md-4 col-sm-6 col-xs-12 main-wrap"><!-- category column -->
                    <div class="cat-wrap shadow-1">
                        <p><i class="fa fa-<?php echo $v_category_info['icon_name'] . " " . $v_category_info['color_name']; ?> white"></i></p>
                        <h5><a href="<?php echo base_url('listing/category_listing/' . $v_category_info['category_id'] . '.html'); ?>"><?php echo $v_category_info['category_name']; ?></a></h5>
                    </div>
                    <div class="listing-border-bottom bgblue-1"></div>
                </div><!-- category column end -->
            <?php } ?>
        </div>
    </div><!-- section container end -->
</section>

<!--================================FUNFACTS COUNTER SECTION==========================================-->

<section id="funfact" class=" padding-top-150 padding-bottom-100" >
    <div class="container">
        <div class="row padding-bottom-20" id="funfact-1">
            <div class="col-xs-12 col-sm-6 col-md-3 col-lg-3 margin-bottom-30 text-center clearfix">
                <div class="funfact-1 color-1  clearfix">
                    <div class="fun-wrap">
                        <div class="count" id="items" data-to="<?php echo $total_listing; ?>" data-speed="4000"><?php echo $total_listing; ?></div>
                        <div class="funfact-divider"></div>
                        <div class="funfact"><p> listing</p></div>
                    </div>
                </div>
            </div><!-- /.col-md-3 col -->
            <div class="col-xs-12 col-sm-6 col-md-3 col-lg-3 margin-bottom-30 text-center clearfix">
                <div class="funfact-1 color-1  clearfix">
                    <div class="fun-wrap">
                        <div class="count" id="location" data-to="<?php echo $total_location; ?>" data-speed="4000"><?php echo $total_location; ?></div>
                        <div class="funfact-divider"></div>
                        <div class="funfact"><p> locations</p></div>
                    </div>
                </div>
            </div><!-- /.col-md-3 col -->  				
            <div class="col-xs-12 col-sm-6 col-md-3 col-lg-3 margin-bottom-30 text-center clearfix">
                <div class="funfact-1 color-1  clearfix">
                    <div class="fun-wrap">
                        <div class="count" id="projects" data-to="<?php echo $total_product; ?>" data-speed="4000"><?php echo $total_product; ?></div>
                        <div class="funfact-divider"></div>
                        <div class="funfact"><p> products</p></div>
                    </div>
                </div>
            </div><!-- /.col-md-3 col -->
            <div class="col-xs-12 col-sm-6 col-md-3 col-lg-3 margin-bottom-30 text-center clearfix">
                <div class="funfact-1 color-1  clearfix">
                    <div class="fun-wrap">
                        <div class="count" id="events" data-to="<?php echo $total_article; ?>" data-speed="4000"><?php echo $total_article; ?></div>
                        <div class="funfact-divider"></div>
                        <div class="funfact"><p> articles</p></div>
                    </div>
                </div>
            </div><!-- /.col-md-3 col -->
        </div><!-- /#funfact-1 -->
    </div><!-- container end -->
</section>



<!--================================LOCATION SECTION==========================================-->

<section class="location-section padding-bottom-40 padding-top-150">
    <div class="container"><!-- section container -->
        <div class="section-title-wrap margin-bottom-50"><!-- section title -->
            <h4>Top location</h4>
            <div class="title-divider">
                <div class="line"></div>
                <i class="fa fa-star-o"></i>
                <div class="line"></div>
            </div>
        </div><!-- section title end -->
        <div class="location-wrapper style2">
            <div class="row">
                <?php foreach ($cities_info as $v_city_info) { ?>
                    <div class="col-md-4 col-sm-4 col-xs-12"><!--location entry column-->
                        <div class="location-entry">
                            <div class="location-content-2 shadow-1 clearfix">
                                <div class="location-icon">
                                    <i class="fa fa-map-marker bgblue-1 white"></i>
                                </div>
                                <div class="location-title-disc">
                                    <h5><a href="<?php echo base_url('listing/location_listing/' . $v_city_info['city_id'] . '.html'); ?>"><?php echo $v_city_info['city_name']; ?></a></h5>
                                    <a class="number-adds" href="#">listing available</a>
                                </div>
                            </div>
                        </div>
                    </div><!--location entry column end-->
                <?php } ?>
            </div>
        </div>
    </div><!-- section container end -->
</section>

<!--================================CALLOUT SECTION==========================================-->

<section class="callout-section padding-top-70 padding-bottom-70 bgwhite">
    <div class="container"><!-- section container -->
        <div class="callout-wrapper">
            <div class="callout-1">
                <div class="callout-message"><!--blog entry column-->
                    <h2 class="white">START YOUR new<span class="blue-1">BUSINESS</span></h2>
                    <h4 class="white">BUSINESS<span class="yallow-1">directory</span></h4>
                </div><!--blog entry column end-->
                <div class="callout-btns"><!--blog entry column-->
                    <?php if (!empty($this->session->userdata('user_id'))) { ?>
                        <a class="bgblue-1 white" href="<?php echo base_url('user/listing/add_listing.html'); ?>"> Add Listing</a>
                    <?php } else { ?>
                        <a class="bggreen-1 white" href="<?php echo base_url('user/packages.html'); ?>"> Pricing</a>
                        <a class="bgblue-1 white" href="<?php echo base_url('user/packages.html'); ?>"> Add Listing</a>
                    <?php } ?>
                </div><!--blog entry column end-->
            </div>
        </div>
    </div><!-- section container end -->
</section>


<!--================================ PARTNER SECTION ==========================================-->

<section class="partner-section padding-top-70 padding-bottom-40">
    <div class="container"><!-- section container -->
        <div class="section-title-wrap margin-bottom-50"><!-- section title -->
            <h4>partners</h4>
            <div class="title-divider">
                <div class="line"></div>
                <i class="fa fa-star-o"></i>
                <div class="line"></div>
            </div>
        </div><!-- section title end -->

        <div class="row partner-wrap style-1 clearfix">
            <div class="col-xs-12 col-sm-3 col-md-3 col-lg-3 margin-bottom-30"><!-- .partner -->
                <div class="partner shadow-1 clearfix">
                    <a href="#"><img src="<?php echo base_url(); ?>assets/frontend/images/partner/01.jpg" alt="partner"/></a>
                </div>
            </div><!-- partner end -->
            <div class="col-xs-12 col-sm-3 col-md-3 col-lg-3 margin-bottom-30"><!-- .partner -->
                <div class="partner shadow-1 clearfix">
                    <a href="#"><img src="<?php echo base_url(); ?>assets/frontend/images/partner/02.jpg" alt="partner"/></a>
                </div>
            </div><!-- partner end -->
            <div class="col-xs-12 col-sm-3 col-md-3 col-lg-3 margin-bottom-30"><!-- .partner -->
                <div class="partner shadow-1 clearfix">
                    <a href="#"><img src="<?php echo base_url(); ?>assets/frontend/images/partner/03.jpg" alt="partner"/></a>
                </div>
            </div><!-- partner end -->
            <div class="col-xs-12 col-sm-3 col-md-3 col-lg-3 margin-bottom-30"><!-- .partner -->
                <div class="partner shadow-1 clearfix">
                    <a href="#"><img src="<?php echo base_url(); ?>assets/frontend/images/partner/04.jpg" alt="partner"/></a>
                </div>
            </div><!-- partner end -->
        </div><!-- .row partner end -->
    </div><!-- container end -->
</section>
